import * as cdk from '@aws-cdk/core';
import { Construct } from 'constructs';
/**
 * Interface which all CertificateAuthority based class must implement.
 *
 * @stability stable
 */
export interface ICertificateAuthority extends cdk.IResource {
    /**
     * The Amazon Resource Name of the Certificate.
     *
     * @stability stable
     * @attribute true
     */
    readonly certificateAuthorityArn: string;
}
/**
 * Defines a Certificate for ACMPCA.
 *
 * @stability stable
 * @resource AWS::ACMPCA::CertificateAuthority
 */
export declare class CertificateAuthority {
    /**
     * Import an existing Certificate given an ARN.
     *
     * @stability stable
     */
    static fromCertificateAuthorityArn(scope: Construct, id: string, certificateAuthorityArn: string): ICertificateAuthority;
    private constructor();
}
